math::TParamNode< T > Class Template Reference

`#include <nodes.h>`

Inheritance diagram for math::TParamNode< T >:
[legend]
Collaboration diagram for math::TParamNode< T >:
[legend]

## Public Member Functions

virtual void | accept (TNodeVisitor< T > &)
| calls the visit method in TNodeVisitor<>
virtual TParamNode< T > * | clone () const
| clones that node
virtual bool | equals (const TNode< T > *ANode) const
| returns true, if given node equals to this one
Public Member Functions inherited from math::TNode< T >
TNode< T > * | parent () const
| returns the parent node (returns 0 if this node is the root node)
virtual | ~TNode ()
| each virtual class needs a virtual destructor (this one does nothing)
TNodeType | nodeType () const
| returns the type of this node
short | priority () const
| returns the node priority
virtual TNode< T > * | left () const
| returns the left child node (returns 0 if this node doesn't support one)
virtual TNode< T > * | right () const
| returns the right child node (returns 0 if this node doesn't support one)
iterator | begin ()
| iterator access to the first value node in this operator level
iterator | end ()
| iterator access to the end

## Additional Inherited Members

Public Types inherited from math::TNode< T >
enum | TNodeType
typedef TNodeIterator< T > | iterator
typedef const TNodeIterator< T > | const_iterator
typedef TOperandIter< TNode< T > > | operand_iterator
typedef TOperandIter< const TNode< T > > | const_operand_iterator
Protected Member Functions inherited from math::TNode< T >
| TNode (TNodeType ANodeType, short APriority, TNode< T > *AParentNode=0)
| initializes this node for given node type.
| TNode (const TNode< T > &n)
void | parent (TNode< T > *AParent)
| initializes the parent node with the given one

## Detailed Description

### template<typename T>
class math::TParamNode< T >

This node represents a parameter node on wich the whole expression tree usualle depends on.

Definition at line 374 of file nodes.h.

The documentation for this class was generated from the following file:

- nodes.h